Commit 72cf8637 authored by Hendrik Mahrt's avatar Hendrik Mahrt
Browse files

Lifts matplotlib to v1.5.3 as v1.4.2 is broken. Fixes animation loop being garbage-collected.

parent 9427be6d
......@@ -37,7 +37,7 @@ setup(
platforms = "Linux",
zip_safe = False,
install_requires = [
'matplotlib==1.4.2',
'matplotlib==1.5.3',
'tcplog>=0.2.8'
],
keywords = ['tcp', 'flow', 'plot', 'visualize', 'graph', 'live', 'analyze', 'network', 'traffic'],
......
......@@ -39,6 +39,7 @@ class LiveGui(GuiBase):
self.xmax = self.xmin + self.options.xDelta
self.flows = []
self.lineVisibility = {}
self.animation = None
if(self.options.debug):
print("matplotlib-version: " + matplotlib.__version__)
......@@ -262,7 +263,7 @@ class LiveGui(GuiBase):
# call update-routine
# self.plotInit()
# self.__plotLine = self.plotGraphUpdate(0)
animation.FuncAnimation(fig, self.plotGraphUpdate, init_func=self.plotInit, frames=self.options.drawFps, interval=self.options.drawIntervall, blit=self.options.blitting, repeat=True)
self.animation = animation.FuncAnimation(fig, self.plotGraphUpdate, init_func=self.plotInit, frames=self.options.drawFps, interval=self.options.drawIntervall, blit=self.options.blitting, repeat=True)
# if self.__stopped.isSet():
# return
# else:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment